## org.eclipse.uml2.codegen.ecore
Class Generator

    java.lang.Object
      org.eclipse.emf.codegen.CodeGen
          org.eclipse.emf.codegen.ecore.Generator
              org.eclipse.uml2.codegen.ecore.Generator

    public class Generator

extends org.eclipse.emf.codegen.ecore.Generator

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.Generator
`org.eclipse.emf.codegen.ecore.Generator.PlatformRunnable`

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.CodeGen
`org.eclipse.emf.codegen.CodeGen.StreamProgressMonitor`

Field Summary
`static java.lang.String` `ANNOTATION_SOURCE__DUPLICATES`
`static java.lang.String` `ANNOTATION_SOURCE__REDEFINES`
`static java.lang.String` `ANNOTATION_SOURCE__SUBSETS`
`static java.lang.String` `ANNOTATION_SOURCE__UNION`

Fields inherited from class org.eclipse.emf.codegen.ecore.Generator
`basePackage, EMF_EDIT_PROJECT_STYLE, EMF_EDITOR_PROJECT_STYLE, EMF_EMPTY_PROJECT_STYLE, EMF_GWT_PROJECT_STYLE, EMF_MODEL_PROJECT_STYLE, EMF_PLUGIN_PROJECT_STYLE, EMF_TESTS_PROJECT_STYLE, EMF_XML_PROJECT_STYLE`

Constructor Summary
`Generator()`

Method Summary
`static java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `getDuplicateEcoreFeatures(org.eclipse.emf.ecore.EClass eClass)`
`static java.util.List<org.eclipse.emf.ecore.EOperation>` `getDuplicateEcoreOperations(org.eclipse.emf.ecore.EClass eClass)`
`static org.eclipse.emf.ecore.EClass` `getEcoreContainingClass(org.eclipse.emf.ecore.EOperation eOperation)`
`static org.eclipse.emf.ecore.EClass` `getEcoreContainingClass(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`
`static java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `getRedefinedEcoreFeatures(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`
`static java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `getRedefinedEcoreFeatures(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature, boolean recurse)`
`static java.util.List<org.eclipse.emf.ecore.EOperation>` `getRedefinedEcoreOperations(org.eclipse.emf.ecore.EOperation eOperation)`
`static java.util.List<org.eclipse.emf.ecore.EOperation>` `getRedefinedEcoreOperations(org.eclipse.emf.ecore.EOperation eOperation, boolean recurse)`
`static java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `getSubsettedEcoreFeatures(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`
`static java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `getSubsettedEcoreFeatures(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature, boolean recurse)`
`static boolean` `isDuplicate(org.eclipse.emf.ecore.EOperation eOperation)`
`static boolean` `isDuplicate(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`
`static boolean` `isRedefinition(org.eclipse.emf.ecore.EOperation eOperation)`
`static boolean` `isRedefinition(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`
`static boolean` `isSubset(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`
`static boolean` `isUnion(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`
`static java.lang.String` `pluralize(java.lang.String name)`

Methods inherited from class org.eclipse.emf.codegen.ecore.Generator
`createEMFProject, createEMFProject, createEMFProject, createEMFProject, createEMFProject, findOrCreateContainerHelper, main, printGenerateUsage, printStatus, run, setSDODefaults`

Methods inherited from class org.eclipse.emf.codegen.CodeGen
`addClasspathEntries, addClasspathEntries, findOrCreateContainer, findOrCreateContainer, getClasspathPaths`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATION_SOURCE__REDEFINES

    public static final java.lang.String ANNOTATION_SOURCE__REDEFINES

See Also:
  Constant Field Values

### ANNOTATION_SOURCE__SUBSETS

    public static final java.lang.String ANNOTATION_SOURCE__SUBSETS

See Also:
  Constant Field Values

### ANNOTATION_SOURCE__UNION

    public static final java.lang.String ANNOTATION_SOURCE__UNION

See Also:
  Constant Field Values

### ANNOTATION_SOURCE__DUPLICATES

    public static final java.lang.String ANNOTATION_SOURCE__DUPLICATES

See Also:
  Constant Field Values

Constructor Detail

### Generator

    public Generator()

Method Detail

### isRedefinition

    public static boolean isRedefinition(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

### isRedefinition

    public static boolean isRedefinition(org.eclipse.emf.ecore.EOperation eOperation)

### getRedefinedEcoreFeatures

    public static java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getRedefinedEcoreFeatures(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

### getRedefinedEcoreFeatures

    public static java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getRedefinedEcoreFeatures(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature,
                                                                                                     boolean recurse)

### getRedefinedEcoreOperations

    public static java.util.List<org.eclipse.emf.ecore.EOperation> getRedefinedEcoreOperations(org.eclipse.emf.ecore.EOperation eOperation)

### getRedefinedEcoreOperations

    public static java.util.List<org.eclipse.emf.ecore.EOperation> getRedefinedEcoreOperations(org.eclipse.emf.ecore.EOperation eOperation,
                                                                                               boolean recurse)

### isSubset

    public static boolean isSubset(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

### getSubsettedEcoreFeatures

    public static java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getSubsettedEcoreFeatures(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

### getSubsettedEcoreFeatures

    public static java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getSubsettedEcoreFeatures(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature,
                                                                                                     boolean recurse)

### isUnion

    public static boolean isUnion(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

### isDuplicate

    public static boolean isDuplicate(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

### isDuplicate

    public static boolean isDuplicate(org.eclipse.emf.ecore.EOperation eOperation)

### getDuplicateEcoreFeatures

    public static java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getDuplicateEcoreFeatures(org.eclipse.emf.ecore.EClass eClass)

### getDuplicateEcoreOperations

    public static java.util.List<org.eclipse.emf.ecore.EOperation> getDuplicateEcoreOperations(org.eclipse.emf.ecore.EClass eClass)

### getEcoreContainingClass

    public static org.eclipse.emf.ecore.EClass getEcoreContainingClass(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

### getEcoreContainingClass

    public static org.eclipse.emf.ecore.EClass getEcoreContainingClass(org.eclipse.emf.ecore.EOperation eOperation)

### pluralize

    public static java.lang.String pluralize(java.lang.String name)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.